<div class="mat-elevation-z8">
    <mat-form-field class="aa" >
        
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter" >
      </mat-form-field>
      <div class="panel panel-default">
        <div class="panel-heading">
            <h1>Bugs</h1>
        </div>
        <div class="panel-body">
            <table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>interface</th>
                        <th>status</th>
                        <th>type</th>
                        <th>date</th>
                        <th>exeption</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let bug of bugs">
                        <td>{{bug.interfacee}}</td>
                        <td>{{bug.status}}</td>
                        <td>{{bug.type}}</td>
                        <td>{{bug.date|date:'mediumDate'}}</td>
                        <td>
                          <button  (click)="deleteBug(bug.idB)" class="btn btn-sm btn-dark" ><i class="fa fa-trash-alt" id="delte"></i></button>
                          <button  class="btn btn-sm btn-dark" id="btn"><i class="fa fa-pencil-alt" id="modifier"></i></button>
                        </td>

                    </tr>
                </tbody>
            </table>
        </div>
    </div>

  <mat-paginator class="paginator" [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>
